DELETE https://api.ap1.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id} https://api.ap2.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id} https://api.datadoghq.eu/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id} https://api.ddog-gov.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id} https://api.us2.ddog-gov.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id} https://api.uk1.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id} https://api.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id} https://api.us3.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id} https://api.us5.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id}
Información general Delete an OAuth2 client credentials auth method by ID.
This endpoint requires the manage_integrations permission.
Argumentos Parámetros de ruta auth_method_id [required ]
The UUID of the auth method.
Respuesta Forbidden
{
"errors" : [
"Bad Request"
]
} Not Found
{
"errors" : [
"Bad Request"
]
} Too many requests
{
"errors" : [
"Bad Request"
]
} Ejemplo de código Copia
# Path parameters export auth_method_id = "CHANGE_ME" # Curl command curl -X DELETE "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.uk1.datadoghq.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/${auth_method_id} " \
-H "DD-API-KEY: ${DD_API_KEY} " \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY} "
"""
Delete an OAuth2 client credentials auth method returns "OK" response
"""
from datadog_api_client import ApiClient , Configuration
from datadog_api_client.v2.api.webhooks_integration_api import WebhooksIntegrationApi
configuration = Configuration ()
with ApiClient ( configuration ) as api_client :
api_instance = WebhooksIntegrationApi ( api_client )
api_instance . delete_o_auth2_client_credentials (
auth_method_id = "auth_method_id" ,
)
Instructions First install the library and its dependencies and then save the example to example.py and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" python3 "example.py"
# Delete an OAuth2 client credentials auth method returns "OK" response
require "datadog_api_client"
api_instance = DatadogAPIClient :: V2 :: WebhooksIntegrationAPI . new
api_instance . delete_o_auth2_client_credentials ( "auth_method_id" )
Instructions First install the library and its dependencies and then save the example to example.rb and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" rb "example.rb"
// Delete an OAuth2 client credentials auth method returns "OK" response
package main
import (
"context"
"fmt"
"os"
"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)
func main () {
ctx := datadog . NewDefaultContext ( context . Background ())
configuration := datadog . NewConfiguration ()
apiClient := datadog . NewAPIClient ( configuration )
api := datadogV2 . NewWebhooksIntegrationApi ( apiClient )
r , err := api . DeleteOAuth2ClientCredentials ( ctx , "auth_method_id" )
if err != nil {
fmt . Fprintf ( os . Stderr , "Error when calling `WebhooksIntegrationApi.DeleteOAuth2ClientCredentials`: %v\n" , err )
fmt . Fprintf ( os . Stderr , "Full HTTP response: %v\n" , r )
}
}
Instructions First install the library and its dependencies and then save the example to main.go and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" go run "main.go"
// Delete an OAuth2 client credentials auth method returns "OK" response
import com.datadog.api.client.ApiClient ;
import com.datadog.api.client.ApiException ;
import com.datadog.api.client.v2.api.WebhooksIntegrationApi ;
public class Example {
public static void main ( String [] args ) {
ApiClient defaultClient = ApiClient . getDefaultApiClient ();
WebhooksIntegrationApi apiInstance = new WebhooksIntegrationApi ( defaultClient );
try {
apiInstance . deleteOAuth2ClientCredentials ( "auth_method_id" );
} catch ( ApiException e ) {
System . err . println (
"Exception when calling WebhooksIntegrationApi#deleteOAuth2ClientCredentials" );
System . err . println ( "Status code: " + e . getCode ());
System . err . println ( "Reason: " + e . getResponseBody ());
System . err . println ( "Response headers: " + e . getResponseHeaders ());
e . printStackTrace ();
}
}
}
Instructions First install the library and its dependencies and then save the example to Example.java and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" java "Example.java"
// Delete an OAuth2 client credentials auth method returns "OK" response
use datadog_api_client ::datadog ;
use datadog_api_client ::datadogV2 ::api_webhooks_integration ::WebhooksIntegrationAPI ;
#[tokio::main]
async fn main () {
let configuration = datadog ::Configuration ::new ();
let api = WebhooksIntegrationAPI ::with_config ( configuration );
let resp = api
. delete_o_auth2_client_credentials ( "auth_method_id" . to_string ())
. await ;
if let Ok ( value ) = resp {
println! ( " {:#?} " , value );
} else {
println! ( " {:#?} " , resp . unwrap_err ());
}
}
Instructions First install the library and its dependencies and then save the example to src/main.rs and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" cargo run
/**
* Delete an OAuth2 client credentials auth method returns "OK" response
*/
import { client , v2 } from "@datadog/datadog-api-client" ;
const configuration = client . createConfiguration ();
const apiInstance = new v2 . WebhooksIntegrationApi ( configuration );
const params : v2.WebhooksIntegrationApiDeleteOAuth2ClientCredentialsRequest = {
authMethodId : "auth_method_id" ,
};
apiInstance
. deleteOAuth2ClientCredentials ( params )
. then (( data : any ) => {
console . log (
"API called successfully. Returned data: " + JSON . stringify ( data )
);
})
. catch (( error : any ) => console . error ( error ));
Instructions First install the library and its dependencies and then save the example to example.ts and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" tsc "example.ts"